Get a Short Link

GET /api/v1/short-link

Common errors include:

  • "Bad Request" if body parameters are not passed
  • "DNS_CONFIGURATION_ERROR" if custom domain DNS is misconfigured.

The getShortLinks gets all the short links and returns the response to users

Request

Method : GET
Content-Type : Application/json

Request Body Schema

user_id string Required
ID of the user making the request.
parentUser string
Default: null
Optional parent user ID that overrides user_id if present.
type enum Required
Type of links to fetch. Must be one of: SHORT_LINK, QR, BIO_LINK, QR_N, BIO_PAGE.

Response Body Schema

message string Required
Success/error message.
success string
Default: null
Indicates if operation was successful.
resultData enum Required
Array of link objects matching the query criteria.
error string
Default: null
Error message if success is false.
LANGUAGE
REQUEST
 curl --location “https://apis.divsly.com/api/v1/short-link”

	                                         –header ‘Authorization: Bearer YOUR_ACCESS_TOKEN’
API REQUEST
 async function createShortLink() {
  try {
    const response = await fetch('https://apis.divsly.com/api/v1/short-link', {
      method: 'POST',
      headers: {
        'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        destinationUrl: 'https://example.com'
      })
    });

    const data = await response.json();
    console.log(data);
  } catch (error) {
    console.error('Error:', error);
  }
}

createShortLink();
                   
API REQUEST
 const axios = require('axios');

async function createShortLink() {
  try {
    const response = await axios.post(
      'https://apis.divsly.com/api/v1/short-link',
      {
        destinationUrl: 'https://example.com'
      },
      {
        headers: {
          Authorization: 'Bearer YOUR_ACCESS_TOKEN',
          'Content-Type': 'application/json'
        }
      }
    );

    console.log(response.data);
  } catch (error) {
    console.error(error.response?.data || error.message);
  }
}

createShortLink();

API REQUEST
 $curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => "https://apis.divsly.com/api/v1/short-link",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_POSTFIELDS => json_encode([
        "destinationUrl" => "https://example.com"
    ]),
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer YOUR_ACCESS_TOKEN",
        "Content-Type: application/json"
    ]
]);

$response = curl_exec($curl);

if (curl_errno($curl)) {
    echo 'Error: ' . curl_error($curl);
}

curl_close($curl);

echo $response;

API REQUEST
 import requests

url = "https://apis.divsly.com/api/v1/short-link"

headers = {
    "Authorization": "Bearer YOUR_ACCESS_TOKEN",
    "Content-Type": "application/json"
}

payload = {
    "destinationUrl": "https://example.com"
}

response = requests.post(url, json=payload, headers=headers)

print(response.status_code)
print(response.json())
RESPONSE
 {
    "message": "Short Links list fetched successfully",
    "success": true,
    "resultData": [
      {
        "id": 1166,
        "type": "shortlink",
        "type2": null,
        "userId": 92,
        "clicks": 0,
        "lbClicks": 0,
        "scans": 0,
        "destinationUrl": "https://example.com/page2",
        "faviconUrl": "",
        "title": "Example Page 2",
        "titleLabel": "example page 2",
        "btnLabel": null,
        "brandedDomain": "your-domain.com",
        "slashTag": "hs5c9",
        "edit": 0,
        "utm_id": null,
        "utm_content": null,
        "utm_term": null,
        "utm_campaign": null,
        "utm_medium": null,
        "utm_source": null,
        "preset": null,
        "bgColor": null,
        "color": null,
        "pattern": null,
        "corner": null,
        "logo": null,
        "qr": null,
        "qrLogoId": null,
        "tags": "winter,promo",
        "linkInBioId": null,
        "uniqueTagId": 1225,
        "isActive": true,
        "isStarred": false,
        "expirationDate": "2025-06-25T05:53:00.271Z",
        "createdAt": "2025-03-27T05:53:00.273Z",
        "updatedAt": "2025-03-27T05:53:00.273Z",
        "fieldData": null,
        "frame": null,
        "isadminblocked": false,
        "isEdit": false,
        "passwordProtectionEnabled": false,
        "primary": null,
        "qrType": null,
        "secondary": null,
        "text": null,
        "textColor": null
      }
    ]
}
        
 {
    "message": "Unauthorized!"
}

      
 {
  "error": true,
  "data": null
}